# Update

Launch stage: GA

`PATCH /api/environments/v1/{default_workspace_base_environment.name=default-workspace-base-environment}`

Updates the default WorkspaceBaseEnvironment configuration for the workspace.
 Sets the specified base environments as the workspace defaults for CPU and/or GPU compute.

API scopes: environments

## Path parameters

- `default_workspace_base_environment` (object, optional)
  Required. The default workspace base environment configuration to update.
  - `name` (string, optional)
    The resource name of this singleton resource.
     Format: default-workspace-base-environment
  - `cpu_workspace_base_environment` (string, optional)
    The default workspace base environment for CPU compute.
     Format: workspace-base-environments/{workspace_base_environment}
  - `gpu_workspace_base_environment` (string, optional)
    The default workspace base environment for GPU compute.
     Format: workspace-base-environments/{workspace_base_environment}

## Query parameters

- `update_mask` (string, optional)
  Field mask specifying which fields to update. Use comma as the separator for multiple fields (no space). 
   The special value '*' indicates that all fields should be updated (full replacement).
   Valid field paths: cpu_workspace_base_environment, gpu_workspace_base_environment
  
   To unset one or both defaults, include the field path(s) in the mask and omit them from the request body.
   To unset both, you must list both paths explicitly — the wildcard '*' cannot be used to unset fields.

## Returns

Returns the DefaultWorkspaceBaseEnvironment object.

## Response

```json
{
  "name": "string",
  "cpu_workspace_base_environment": "string",
  "gpu_workspace_base_environment": "string"
}
```

